| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::VidSlideThread Class Reference
Inheritance diagram for Digikam::VidSlideThread:

## Signals
void | signalComplete (bool)
void | signalMessage (const QString &, bool)
void | signalProgress (int)

## Public Member Functions
| VidSlideThread (QObject *const parent)
QString | encodingTraces () const
void | prepareFrames (VidSlideSettings *const settings)
| Stage 1: prepare frames in temporary directory.
Public Member Functions inherited from Digikam::ActionThreadBase
| ActionThreadBase (QObject *const parent=nullptr)
void | cancel (bool isCancel=true)
| Cancel processing of current jobs under progress.
int | expiryTimeout () const
int | maximumNumberOfThreads () const
void | setDefaultMaximumNumberOfThreads ()
| Reset maximum number of threads used to parallelize collection of job processing to max core detected on computer.
void | setExpiryTimeout (int timeout)
| Adjust the thread expiry timeout value in milliseconds.
void | setMaximumNumberOfThreads (int n)
| Adjust maximum number of threads used to parallelize collection of job processing.

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::ActionThreadBase
static void | setCurrentThreadName (const QString &name)
| Call this method to customize a thread name visible in a process viewer.
Protected Slots inherited from Digikam::ActionThreadBase
virtual void | slotJobFinished ()
Protected Member Functions inherited from Digikam::ActionThreadBase
void | appendJobs (const ActionJobCollection &jobs)
| Append a collection of jobs to process into QThreadPool.
bool | isEmpty () const
int | pendingCount () const
void | run () override
| Main thread loop used to process jobs in todo list.